SDL_CommonEvent(3type)

NAME
SDL_CommonEvent - Fields shared by every event

SYNOPSIS
#include <SDL3/SDL_events.h>

typedef struct SDL_CommonEvent
{
    Uint32 type;        /**< Event type, shared with all events, Uint32 to cover user events which are not in the SDL_EventType enumeration */
    Uint32 reserved;
    Uint64 timestamp;   /**< In nanoseconds, populated using SDL_GetTicksNS() */
} SDL_CommonEvent;

AVAILABILITY
This struct is available since SDL 3.2.0.